> ## Documentation Index
> Fetch the complete documentation index at: https://c-mass.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get List of Portfolios

> Gets the list of portfolios the user is able to use for purchasing credits.



## OpenAPI

````yaml GET /v1/portfolios
openapi: 3.0.1
info:
  title: c-mass API
  description: API for managing carbon credits, projects, portfolios, and orders
  version: 1.0.0
servers:
  - url: https://carbon-engine.onrender.com
security:
  - bearerAuth: []
paths:
  /v1/portfolios:
    get:
      tags:
        - Portfolios
      summary: Retrieve all portfolios
      responses:
        '200':
          description: List of all portfolios
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Portfolio'
        '404':
          description: No portfolios found
        '500':
          description: Server error
      security:
        - bearerAuth: []
components:
  schemas:
    Portfolio:
      required:
        - name
      type: object
      properties:
        name:
          description: The name of the portfolio
          type: string
        description:
          description: A brief description of the portfolio
          type: string
        projects:
          type: array
          items:
            type: string
            description: The project IDs associated with this portfolio
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````